<?xml version="1.0" encoding="UTF-16"?><MultiText>

<!-- テキストファイルのテンプレート。 Sync vbslib.vbs から使われます。 -->
<!-- 参考：new_ReplaceTemplateClass (vbslib) -->


<!-- ============================================================= -->
<!-- どのコマンドにも共通の設定 -->

<Target path="..\..\..\*.vbs">
	<Except path="..\..\..\_src\Test\vbslib_test\T_File\T_WriteVBSLibHeader"/>
	<Except path="..\..\..\_src\_replica\2 Sync vbslib\_old\Setting.vbs"/>
	<Except path="..\..\..\Samples\PartRep\PartRepSampleTarget"/>
</Target>
<Target path="..\..\..\ReadMe.txt"/>
<Target path="..\..\..\はじめて使うときは.txt"/>
<Target path="..\..\..\scriptlib\vbslib\README_vbslib.txt"/>
<!-- 処理対象のフォルダーのパスを指定します。 -->
<!-- 複数指定するときは、Target タグを複数記述してください。 -->
<!-- 対象外を指定するときは、Target タグの子として Except タグを追加して path 属性に指定してください。 -->
<!-- 参考：FF-path 属性 (vbslib) -->


<!-- ============================================================= -->
<!-- Template_echoOld コマンド -->

<EnabledTemplateIDs type="Lines">
#vbslib_copyright
#vbslib_include
</EnabledTemplateIDs>
<!-- 現在使われているテンプレートの場所（このファイルにある Text タグの id 属性）を指定します。 -->
<!-- 複数指定するときは、複数行記述してください。 -->
<!-- 上記 ID に +"_Keyword" した id の Text タグも作ってください -->
<!-- 例： #Template1 を指定したら、#Template1_Keyword の Text タグも作ってください -->


<!-- ============================================================= -->
<!-- Template_getDifference コマンド -->

<CheckTargetDefault>Target\a.vbs</CheckTargetDefault>
<!-- Template_getDifference コマンドのデフォルト設定です。 -->


<!-- ============================================================= -->
<!-- Template_replace コマンド -->

<ReplaceTemplate  before="#vbslib_copyright_old"  after="#vbslib_copyright"/>
<!--
<ReplaceTemplateID_From>#vbslib_copyright_old</ReplaceTemplateID_From>
<ReplaceTemplateID_To  >#vbslib_copyright</ReplaceTemplateID_To>
-->
<!-- 上記 before, after に +"_Keyword" した id の Text タグも作ってください -->


<!-- ============================================================= -->
<!-- 以下の Text タグは、テキストファイルのテンプレートです。 -->

<Text id="vbslib_copyright_old_Keyword"><![CDATA[
vbslib is provided under
]]></Text><Text id="vbslib_copyright_old"><![CDATA[
'* vbslib is provided under 3-clause BSD license.
'* Copyright (C) Sofrware Design Gallery "Sage Plaisir 21" All Rights Reserved.
'*
'* - $Version: vbslib 5.93 $
'* - $ModuleRevision: {vbslib}\Public\593 $
'* - $Date: ${Date} $
]]></Text>


<Text id="vbslib_copyright_Keyword"><![CDATA[
vbslib is provided under
]]></Text><Text id="vbslib_copyright"><![CDATA[
'* vbslib is provided under 3-clause BSD license.
'* Copyright (C) Sofrware Design Gallery "Sage Plaisir 21" All Rights Reserved.
'*
'* - $Version: vbslib 5.93 $
'* - $ModuleRevision: {vbslib}\Public\593 $
'* - $Date: 2017-03-20T20:00:00+09:00 $
]]></Text>


<Text id="vbslib_include_Keyword"><![CDATA[
--- start of vbslib include ---
]]></Text><Text id="vbslib_include"><![CDATA[
'--- start of vbslib include ------------------------------------------------------ 

'// ここの内部から Main 関数を呼び出しています。
'// また、scriptlib フォルダーを探して、vbslib をインクルードしています

'// vbslib include is provided under 3-clause BSD license.
'// Copyright (C) Sofrware Design Gallery "Sage Plaisir 21" All Rights Reserved.

Dim  g_Vers : If IsEmpty( g_Vers ) Then
Set  g_Vers = CreateObject("Scripting.Dictionary") : g_Vers("vbslib") = 99.99
Dim  g_debug, g_debug_params, g_admin, g_vbslib_path, g_CommandPrompt, g_fs, g_sh, g_AppKey
Dim  g_MainPath, g_SrcPath, g_f, g_include_path, g_i, g_debug_tree, g_debug_process, g_is_compile_debug
Dim  g_is64bitWSH
g_SrcPath = WScript.ScriptFullName : g_MainPath = g_SrcPath
SetupVbslibParameters
Set  g_fs = CreateObject( "Scripting.FileSystemObject" )
Set  g_sh = WScript.CreateObject("WScript.Shell") : g_f = g_sh.CurrentDirectory
g_sh.CurrentDirectory = g_fs.GetParentFolderName( WScript.ScriptFullName )
For g_i = 20 To 1 Step -1 : If g_fs.FileExists(g_vbslib_path) Then  Exit For
g_vbslib_path = "..\" + g_vbslib_path  : Next
If g_fs.FileExists(g_vbslib_path) Then  g_vbslib_path = g_fs.GetAbsolutePathName( g_vbslib_path )
g_sh.CurrentDirectory = g_f
If g_i=0 Then WScript.Echo "Not found " + g_fs.GetFileName( g_vbslib_path ) +vbCR+vbLF+_
	"Let's download vbslib and Copy scriptlib folder." : Stop : WScript.Quit 1
Set g_f = g_fs.OpenTextFile( g_vbslib_path,,,-2 ): Execute g_f.ReadAll() : g_f = Empty
If ResumePush Then  On Error Resume Next
	CallMainFromVbsLib
ResumePop : On Error GoTo 0
End If
'---------------------------------------------------------------------------------
]]></Text>


<Text id="vbslib_include_old_Keyword"><![CDATA[
--- start of vbslib include ---
]]></Text><Text id="vbslib_include_old"><![CDATA[
'--- start of vbslib include ------------------------------------------------------ 

'// ここの内部から Main 関数を呼び出しています。
'// また、scriptlib フォルダーを探して、vbslib をインクルードしています

'// vbslib is provided under 3-clause BSD license.
'// Copyright (C) 2007-2014 Sofrware Design Gallery "Sage Plaisir 21" All Rights Reserved.

Dim  g_Vers : If IsEmpty( g_Vers ) Then
Set  g_Vers = CreateObject("Scripting.Dictionary") : g_Vers.Add "vbslib", 99.99
Dim  g_debug, g_debug_params, g_admin, g_vbslib_path, g_CommandPrompt, g_fs, g_sh, g_AppKey
Dim  g_MainPath, g_SrcPath, g_f, g_include_path, g_i, g_debug_tree, g_debug_process, g_is_compile_debug
Dim  g_is64bitWSH
g_SrcPath = WScript.ScriptFullName : g_MainPath = g_SrcPath
SetupVbslibParameters
Set  g_fs = CreateObject( "Scripting.FileSystemObject" )
Set  g_sh = WScript.CreateObject("WScript.Shell") : g_f = g_sh.CurrentDirectory
g_sh.CurrentDirectory = g_fs.GetParentFolderName( WScript.ScriptFullName )
For g_i = 20 To 1 Step -1 : If g_fs.FileExists(g_vbslib_path) Then  Exit For
g_vbslib_path = "..\" + g_vbslib_path  : Next
If g_fs.FileExists(g_vbslib_path) Then  g_vbslib_path = g_fs.GetAbsolutePathName( g_vbslib_path )
g_sh.CurrentDirectory = g_f
If g_i=0 Then WScript.Echo "Not found " + g_fs.GetFileName( g_vbslib_path ) +vbCR+vbLF+_
	"Let's download vbslib and Copy scriptlib folder." : Stop : WScript.Quit 1
Set g_f = g_fs.OpenTextFile( g_vbslib_path,,,-2 ): Execute g_f.ReadAll() : g_f = Empty
If ResumePush Then  On Error Resume Next
	CallMainFromVbsLib
ResumePop : On Error GoTo 0
End If
'---------------------------------------------------------------------------------
]]></Text>


</MultiText>
